;;;Cdigo fuente del libro "Experto AutoCAD con Visual LISP"
;;; (c) Ediciones ARTUAL, S.L. Barcelona, Espaa.
;;; (c) 2012 Reinaldo Togores. Todos los derechos reservados
;;; Se permite su uso mencionando la obra y su autor.

;;;Figura 2.5. Funcin numera-dicc.
;;;Funcin numera-dicc:
;;;Crea el diccionario si no existiera,
;;;con valores por defecto.
(defun numera-dicc ()
  (vl-load-com)
  (if (not (dictsearch (namedobjdict) "VARS-NUMERA"))
    (progn (vlax-ldata-put "VARS-NUMERA" "CIFRA" 0)
           (vlax-ldata-put "VARS-NUMERA" "INCREM" 10)
           (vlax-ldata-put
             "VARS-NUMERA"
             "ALTURA"
             (getvar "TEXTSIZE")
           ) ;_ fin de vlax-ldata-put
    ) ;_ fin de progn
  ) ;_ fin de if
) ;_ fin de defun

;;;Figura 2.6. Funcin num-prox.
;;;Incrementa el valor de CIFRA
;;;guardado en "VARS-NUMERA"
(defun num-prox ()
  (vlax-ldata-put
    "VARS-NUMERA"
    "CIFRA"
    (+ (vlax-ldata-get "VARS-NUMERA" "CIFRA")
       (vlax-ldata-get "VARS-NUMERA" "INCREM")
    ) ;_ fin de +
  ) ;_ fin de vlax-ldata-put
) ;_ fin de defun
